/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _ICONTACTS_TAB_PAGE_VIEW_H_
#define _ICONTACTS_TAB_PAGE_VIEW_H_

#include "WDefine.h"
#include "WView.h"

#include "ContactsCommon.h"

class WAPP_ASSIST_EXPORT IContactsTabPageView : public WView
{
public:
	virtual ~IContactsTabPageView(){};
	virtual void onTabSelect(Elm_Object_Item *naviItem) = 0;
	virtual void onTabUnselect(Elm_Object_Item *naviItem) = 0;
	virtual bool onTabPop() = 0;
	virtual void onTabScrollStart() = 0;
	virtual void onTabScrollStop() = 0;
};

#endif // _ICONTACTS_TAB_PAGE_VIEW_H_

