/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _CT_THEME_MGR_H_
#define _CT_THEME_MGR_H_

#include <string>
#include <vector>
#include <memory>

#include "WDefine.h"

class WAPP_ASSIST_EXPORT CtThemeMgr
{
public:
	static CtThemeMgr* getInstance();
	void destroy();
	void setObjectTheme(Evas_Object *obj);
	Elm_Theme* getTheme();
	bool addExtensionTheme(const char *themePath);
	bool removeExtensionTheme(const char *themePath);


private:
	CtThemeMgr();
	virtual ~CtThemeMgr();

private:
	static CtThemeMgr* __instance;
	Elm_Theme *__theme;
	std::vector<std::string> __themeList;

};

#endif /* _CT_THEME_MGR_H_ */
