/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _CT_EDIT_TAB_VIEW_H_
#define _CT_EDIT_TAB_VIEW_H_

#include <vector>
#include <app.h>
#include <string>
#include <memory>
#include <Ecore.h>

#include "WPageSlideView.h"

#include "ContactsCommon.h"
#include "CtInputView.h"


class CtInputView;
#define EDIT_TAB_VIEW_MAX 10
class WAPP_ASSIST_EXPORT CtEditTabView: public WPageSlideView
{
public:
	CtEditTabView(Eina_List* contactList);

public:
	void updateSaveBtn(Eina_Bool empty);


private:
	virtual Evas_Object* onCreate(Evas_Object* parent, void* viewParam);
	virtual void onDestroy();
	virtual Elm_Object_Item* onPushToNaviframe( Evas_Object* naviFrame);
	virtual void onPushed(Elm_Object_Item* naviItem);
	virtual bool onPop();

private:
	bool __checkViewExist(Elm_Object_Item *tabItem);
	void __getTabViewTitle(contacts_record_h recordContact, char *buf, int bufLen);

	static void __onTabChangedCb(void* data, Evas_Object* obj, void* event_info);
	static void __pageScrollStopCb(void* data, Evas_Object* obj, void* event_info);
	static void __pageScrollStartCb(void* data, Evas_Object* obj, void* event_info);
	static void __cancelCb(void *data, Evas_Object *obj, void *event_info);
	static void __saveCb(void *data, Evas_Object *obj, void *event_info);

	void __tabChanged(Elm_Object_Item *selectedItem);

	static Eina_Bool __createRestViewTimerCb(void* data);

private:
	~CtEditTabView();

private:
	Evas_Object* __tabbar;
	Evas_Object* __saveBtn;
	Elm_Object_Item* __tabItem[EDIT_TAB_VIEW_MAX];
	int __tabCount;
	int __selectedView;
	bool __subViewLoaded[EDIT_TAB_VIEW_MAX];
	CtInputView* __subView[EDIT_TAB_VIEW_MAX];
	bool __hasTitle;
	bool __discard;
	Ecore_Timer *__timer;
	Ecore_Idler *__idler;

};



#endif // _CT_EDIT_TAB_VIEW_H_
