/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _CT_LIST_CONTROLLER_H_
#define _CT_LIST_CONTROLLER_H_

#include <Elementary.h>

typedef enum {
	CT_LIST_UPDATE_DATA_NUMBER,
	CT_LIST_UPDATE_DATA_EMAIL,
	CT_LIST_UPDATE_DATA_WEB,
	CT_LIST_UPDATE_DATA_IMAGE,
	CT_LIST_UPDATE_DATA_FACETAG_IMAGE
}CtListUpdateDataType;

class CtListView;

class CtListController
{
public:
	virtual ~CtListController(){};

	virtual void onListUpdated() = 0;
	virtual void onSelectItem(Elm_Object_Item *selectedItem, CtListView *view, CtCheckState checkState) = 0;
	virtual void onSelectCreate(void *data, Evas_Object *obj, void *event_info) { };
	virtual void onSelectDone(void *data, Evas_Object *obj, void *event_info) = 0;
	virtual void onSelectBack(void *data, Evas_Object *obj, void *event_info) = 0;
	virtual void onSelectCancel(void *data, Evas_Object *obj, void *event_info) = 0;
	virtual void onSwipeLeftItem(void *data, Evas_Object *obj, void *event_info) = 0;
	virtual void onSwipeRightItem(void *data, Evas_Object *obj, void *event_info) = 0;
	virtual void onSelectCheckAll(Elm_Object_Item *selectedItem, CtListView *view, CtCheckState checkState) = 0;
	virtual void onSelectMenu(CtListView *view) = 0;

	// should remove
	virtual void moreManageFavoritesItemOperation() = 0;

};

#endif // _CT_LIST_CONTROLLER_H_

