/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __CT_LIST_LINK_CONTACT_CONTROLLER_H_
#define __CT_LIST_LINK_CONTACT_CONTROLLER_H_

#include <string>
#include <app.h>
#include "WPopup.h"

#include "ContactsCommon.h"
#include "CtListView.h"
#include "CtType.h"
#include "CtListController.h"



class CtListView;
class CtListModelDb;
class CtListLinkContactController : public CtListController
{
public:
	CtListLinkContactController(CtListView *listView, CtListModelDb* listData);
	virtual ~CtListLinkContactController();

public:
	virtual void onListUpdated() {};
	virtual void onSelectItem(Elm_Object_Item *selectedItem, CtListView *view, CtCheckState checkState);
	virtual void onSelectDone(void *data, Evas_Object *obj, void *event_info);
	virtual void onSelectCancel(void *data, Evas_Object *obj, void *event_info);
	virtual void onSelectBack(void *data, Evas_Object *obj, void *event_info);
	virtual void onSwipeLeftItem(void *data, Evas_Object *obj, void *event_info);
	virtual void onSwipeRightItem(void *data, Evas_Object *obj, void *event_info);
	virtual void onSelectCheckAll(Elm_Object_Item *selectedItem, CtListView *view, CtCheckState checkState);
	virtual void moreManageFavoritesItemOperation();
	virtual void onSelectMenu(CtListView *view) {}

private:
	CtListLinkContactController();

private:
	CtListView* __listView;
	CtListModelDb* __listModel;
	int __checkedItemCount;
	int __basePersonId;
};

#endif //__CT_LIST_LINK_CONTACT_CONTROLLER_H_

