/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __CT_LIST_MODEL_GROUP_H_
#define __CT_LIST_MODEL_GROUP_H_

#include <contacts.h>
#include <memory>
#include <vector>

#include "CtListDataPerson.h"
#include "CtListDataGroup.h"

class ICtChangeListener;

class CtListModelGroup
{
public:
	CtListModelGroup();
	virtual ~CtListModelGroup();

public:
	int getAvailableGroupCount(void);
	int getAvailableGroups(void);
	std::shared_ptr< CtListDataGroup > getAtGroupData(int index);
	std::shared_ptr< CtListDataPerson > getAtPersonData(int index);
	int getAllMembersByGroupName(char* groupName);

private:
	void __initialize(void);
	int __makeGroupListUnifiedByName(contacts_list_h list, bool needNotList);
	contacts_query_h __getQuery(char* groupName);
	int __makeMemberList(contacts_list_h list);
	std::vector<int> __getGroupIdsByName(char* groupName);

private:
	std::vector<std::shared_ptr< CtListDataGroup >> __groupDataList;
	std::vector<std::shared_ptr< CtListDataPerson >> __groupMemberDataList;
};

#endif // __CT_LIST_MODEL_GROUP_H_
