/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _CT_SETTING_POPUP_H_
#define _CT_SETTING_POPUP_H_

#include <string>
#include <storage.h>
#include <functional>

#include "CtSettingData.h"
#include "CtVcardCommon.h"
#include "WPopup.h"

class CtSettingPopup : public WPopup
{
public:

	CtSettingPopup(CtSettingData* settingData, const char* popupTitle);

private:
	virtual Evas_Object* onCreate( Evas_Object* parent, void* viewParam);

	Evas_Object* __createContent(Evas_Object *parent);

	static void __onItemSelected(void* data, Evas_Object* obj, void* event_info);

public:
	void setOnResultCb(std::function<void (TargetStorage)> resultCb);

private:
	struct __ItemData
	{
		__ItemData();
		TargetStorage target;
		std::string label;
		std::string subLabel;
		int iconType;
	};

	static bool getSupportedStoragesCallback(int storageId, storage_type_e type, storage_state_e state, const char *path, void *userData);

	CtSettingData* __settingData;
	std::string __popupTitle;
	std::function<void (TargetStorage)> __resultCb;
	Evas_Object* __genlist;
	int __externalStorageId;
};

#endif //_CT_SETTING_POPUP_H_
