/*
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _PH_DIALER_LAYOUT_H_
#define _PH_DIALER_LAYOUT_H_

#define GROUP_DIALER					"dialer"
#define PART_SWALLOW_ENTRY				"swallow.entry"
#define PART_SWALLOW_PREDICTIVE			"swallow.predictive"
#define PART_SWALLOW_KEYPAD				"swallow.keypad"
#define PART_SWALLOW_CALL				"swallow.call"
#define PART_SWALLOW_BACKSPACE			"swallow.backspace"

#define GROUP_PREDICTIVE_NO_RESULTS		"predictive_noresults"
#define PART_TEXT_ADD					"text.add"

#define GROUP_PREDICTIVE				"predictive"
#define PART_SWALLOW_THUMBNAIL			"swallow.thumbnail"
#define PART_SWALLOW_SPEEDDIAL			"swallow.speeddial"
#define PART_TEXT_NAME					"text.name"
#define PART_TEXT_NUMBER				"text.number"
#define PART_TEXT_1_LINE				"text.1line"
#define PART_SWALLOW_RESULTS			"swallow.results"

#define GROUP_SPEEDDIAL_NUMBER			"speeddial_number"

#define GROUP_PREDICTIVE_RES_COUNT		"predictive_res_count"
#define PART_TEXT_COUNT					"text.count"
#define PART_SWALLOW_ARROW				"swallow.arrow"

#define KEYPAD_NUMBER_1					"keypad_number_01"
#define KEYPAD_NUMBER_2					"keypad_number_02"
#define KEYPAD_NUMBER_3					"keypad_number_03"
#define KEYPAD_NUMBER_4					"keypad_number_04"
#define KEYPAD_NUMBER_5					"keypad_number_05"
#define KEYPAD_NUMBER_6					"keypad_number_06"
#define KEYPAD_NUMBER_7					"keypad_number_07"
#define KEYPAD_NUMBER_8					"keypad_number_08"
#define KEYPAD_NUMBER_9					"keypad_number_09"
#define KEYPAD_NUMBER_ASTERISK			"keypad_number_asterisk"
#define KEYPAD_NUMBER_0					"keypad_number_00"
#define KEYPAD_NUMBER_SHARP				"keypad_number_sharp"

#define KEYPAD_LETTERS_2				"keypad_english_01"
#define KEYPAD_LETTERS_3				"keypad_english_02"
#define KEYPAD_LETTERS_4				"keypad_english_03"
#define KEYPAD_LETTERS_5				"keypad_english_04"
#define KEYPAD_LETTERS_6				"keypad_english_05"
#define KEYPAD_LETTERS_7				"keypad_english_06"
#define KEYPAD_LETTERS_8				"keypad_english_07"
#define KEYPAD_LETTERS_9				"keypad_english_08"
#define KEYPAD_LETTERS_0				"keypad_english_10"

#define BUTTON_CALL						"keypad_ic_call"
#define BUTTON_BACKSPACE				"keypad_ic_back"

#define PREDICTIVE_ADD					"keypad_speed_dial_add"

#define PREDICTIVE_RESULTS_MASK			"predictive_results_mask"
#define PREDICTIVE_ARROW 				"keypad_predictive_arrow"

#define SPEEDDIAL_IC_BG					"keypad_speed_dial_ic_bg.#"
#define SPEEDDIAL_IC					"keypad_speed_dial_ic"
#define PART_TEXT_NUMBER				"text.number"

#define BUTTON_CALL_NORMAL				89, 176, 58, 255
#define BUTTON_CALL_PRESSED				127, 184, 106, 255

#endif /* _PH_DIALER_LAYOUT_H_ */
