#!/bin/bash

HEADERFILE="lib-phone/ph-common/inc/PhStrings.h"
rm $HEADERFILE

echo '/*' > $HEADERFILE
echo '* Copyright (c) 2009-2015 Samsung Electronics Co., Ltd All Rights Reserved' >> $HEADERFILE
echo '*' >> $HEADERFILE
echo '* Licensed under the Apache License, Version 2.0 (the License);' >> $HEADERFILE
echo '* you may not use this file except in compliance with the License.' >> $HEADERFILE
echo '* You may obtain a copy of the License at' >> $HEADERFILE
echo '*' >> $HEADERFILE
echo '*     http://apachelicense.org/license/' >> $HEADERFILE
echo '*' >> $HEADERFILE
echo '* Unless required by applicable law or agreed to in writing, software' >> $HEADERFILE
echo '* distributed under the License is distributed on an AS IS BASIS,' >> $HEADERFILE
echo '* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.' >> $HEADERFILE
echo '* See the License for the specific language governing permissions and' >> $HEADERFILE
echo '* limitations under the License.' >> $HEADERFILE
echo '*/' >> $HEADERFILE

echo "#ifndef __PH_STRINGS_H_ //auto-generated on $(date)"  >> $HEADERFILE
echo '#define __PH_STRINGS_H_' >> $HEADERFILE
echo $'\n' >> $HEADERFILE

echo '#define STRING_PACKAGE "contacts"' >> $HEADERFILE
echo '#define PST_(did) dgettext("sys_string", did)' >> $HEADERFILE
echo '#define PAT_(did) dgettext(STRING_PACKAGE, did)' >> $HEADERFILE
echo '#define PXT_(did) did' >> $HEADERFILE
echo $'\n' >> $HEADERFILE

grep msgid  main-app/res/po/en.po | awk '{print $2}' >> _msgid_temp_

while read line; do
    rep=$(echo $line | awk -FIDS_ '{print $2}' | awk -F\" '{print "#define PH_"$1}')
    echo "$rep $line" >> $HEADERFILE
done < _msgid_temp_

echo $'\n' >> $HEADERFILE
echo '#endif// __PH_STRINGS_H_' >> $HEADERFILE
rm _msgid_temp_
